Skip to main content
POST
/
v1
/
custom-fields
Create a custom field
curl --request POST \
  --url https://app.chatbotx.io/api/v1/custom-fields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 255
type
enum<string>
required
Available options:
shortText,
email,
phoneNumber,
number,
date,
datetime,
boolean,
longText

Response

OK

id
string
required
name
string
required
type
enum<string>
required
Available options:
shortText,
email,
phoneNumber,
number,
date,
datetime,
boolean,
longText
description
string | null
required